> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auth Token

> Authenticate with your email & password to generate a Bearer Token.



## OpenAPI

````yaml post /api/v2/auth
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/auth:
    post:
      description: Authenticate with your email & password to generate a Bearer Token.
      operationId: ApiV2AuthController_getIdToken
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetIdTokenInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdTokenOutput'
components:
  schemas:
    GetIdTokenInputDto:
      type: object
      properties:
        email:
          type: string
        password:
          type: string
      required:
        - email
        - password
    IdTokenOutput:
      type: object
      properties:
        idToken:
          type: string
        refreshToken:
          type: string
        expiresIn:
          type: string
          description: >-
            The number of seconds until the token expires. By default is set to
            3600s
      required:
        - idToken
        - refreshToken
        - expiresIn

````